unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, Grids, StdCtrls,
  ExtCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Memo1: TMemo;
    Splitter1: TSplitter;
    StringGrid1: TStringGrid;
    procedure StringGrid1AfterSelection(Sender: TObject; aCol, aRow: Integer);
    procedure StringGrid1BeforeSelection(Sender: TObject; aCol, aRow: Integer);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.StringGrid1BeforeSelection(Sender: TObject; aCol, aRow: Integer
  );
begin
  Memo1.Lines.Add('BEFORE selection');
  Memo1.Lines.Add(Format('  aktuell selektierte Zelle C%d/R%d', [StringGrid1.Col, StringGrid1.Row]));
  Memo1.Lines.Add(Format('  Zelle C%d/R%d wird selektiert', [ACol, ARow]));
end;

procedure TForm1.StringGrid1AfterSelection(Sender: TObject; aCol, aRow: Integer
  );
begin
  Memo1.Lines.Add('AFTER selection');
  Memo1.Lines.Add(Format('  vorher selektierte Zelle C%d/R%d', [ACol, ARow]));
  Memo1.Lines.Add(Format('  neu selektierte Zelle: C%d/R%d', [StringGrid1.Col, StringGrid1.Row]));
end;

end.

